Mail archive
alpine-aports

[alpine-aports] [PATCH 2/4] testing/libvterm: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Tue, 2 Aug 2016 15:02:38 -0400

From: Daniel Sabogal <dsabogalcc_at_gmail.com>

https://www.leonerd.org.uk/code/libvterm
Abstract library implementation of a VT220/xterm/ECMA-48 terminal
emulator
---
 testing/libvterm/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/libvterm/APKBUILD
diff --git a/testing/libvterm/APKBUILD b/testing/libvterm/APKBUILD
new file mode 100644
index 0000000..9c82e5e
--- /dev/null
+++ b/testing/libvterm/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=libvterm
+pkgver=679
+_debver=0~bzr$pkgver
+pkgrel=0
+pkgdesc="Abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator"
+url="https://www.leonerd.org.uk/code/libvterm"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="libtool perl"
+install=""
+subpackages="$pkgname-dev"
+source="http://http.debian.net/debian/pool/main/libv/$pkgname/${pkgname}_$_debver.orig.tar.gz"
+
+builddir="$srcdir"/$pkgname-$_debver
+
+build() {
+	cd "$builddir"
+	make PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="60a10c71b4bf9fce3a45cf188129186a  libvterm_0~bzr679.orig.tar.gz"
+sha256sums="429bf1bef0a6245efb0b531ec88afdc1657fa6995b51c2b36198cf246b698d45  libvterm_0~bzr679.orig.tar.gz"
+sha512sums="32d0c04cebc00540e04e3d6491e96140ce6dd7f9b78d968008137bdaf0c0ae36ebf225e5690c7f0700fc496799f86b12bb92ab1c406b705830e464dc4940b1c4  libvterm_0~bzr679.orig.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 02 2016 - 15:02:38 GMT